### Hierarchy

- AccessData
  - ClientData

## Index

### Constructors

- constructor

### Properties

- accessToken
- expireDate
- origin
- permissions
- publicKey

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new ClientData(publicKey?: string, accessToken?: string, origin?: string, expireDate?: string, permissions?: Permissions): ClientData

- Overrides AccessData.constructor

  - Defined in utils/keypair/rpc/RpcClientData.ts:6

  #### Parameters

  - ##### Default value publicKey: string = ""

  - ##### Default value accessToken: string = ""

  - ##### Default value origin: string = ""

  - ##### Default value expireDate: string = ""

  - ##### Default value permissions: Permissions = new Permissions()

  #### Returns ClientData

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### expireDate

expireDate: string

Inherited from AccessData.expireDate

- Defined in utils/keypair/rpc/RpcAccessData.ts:6

### origin

origin: string

Inherited from AccessData.origin

- Defined in utils/keypair/rpc/RpcAccessData.ts:5

### permissions

permissions: Permissions

Inherited from AccessData.permissions

- Defined in utils/keypair/rpc/RpcAccessData.ts:7

### publicKey

publicKey: string

- Defined in utils/keypair/rpc/RpcClientData.ts:6

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc